# vim: syntax=spec
Name:       swaysettings-git
Version:    v0.5.0.0.git.242.fc1a7039
Release:    253%{?dist}
Summary:    A gui for setting sway wallpaper, default apps, GTK themes, etc...
License:    GPLv3
URL:        https://github.com/ErikReider/SwaySettings
VCS:        git+https://github.com/ErikReider/SwaySettings.git#fc1a7039453385fc8e1a96a7dbef4daab1df2d6d:
Source:     SwaySettings-fc1a7039.tar.gz

BuildRequires:    meson >= 0.60.0
BuildRequires:    vala
BuildRequires:    git

BuildRequires: gtk4-devel >= 4.16
BuildRequires: gtk4-layer-shell-devel
BuildRequires: libadwaita-devel >= 1.6
BuildRequires: pkgconfig(gsettings-desktop-schemas)
BuildRequires: granite-7-devel >= 7.5
BuildRequires: pulseaudio-libs-devel
BuildRequires: accountsservice-devel
BuildRequires: bluez-libs-devel
BuildRequires: blueprint-compiler
BuildRequires: glib2-devel >= 2.50
BuildRequires: gobject-introspection-devel >= 1.68
BuildRequires: libgee-devel >= 0.20
BuildRequires: json-glib-devel >= 1.0
BuildRequires: libudisks2-devel
BuildRequires: libgtop2-devel
BuildRequires: systemd-devel
BuildRequires: pkgconfig(systemd)
BuildRequires: systemd
BuildRequires: scdoc
Requires: dbus
Requires: bluez
Requires: libgtop2
Requires: udisks2
Requires: glib2
Requires: accountsservice
Requires: gtk4-layer-shell

%{?systemd_requires}

%description
A gui for setting sway wallpaper, default apps, GTK themes, etc...

%prep
%setup -T -b 0 -q -n SwaySettings

%build
%meson
%meson_build

%install
%meson_install

%files
%doc README.md
%{_bindir}/swaysettings
%{_bindir}/sway-wallpaper
%{_bindir}/sway-autostart
%license COPYING
%{_datadir}/glib-2.0/schemas/org.erikreider.swaysettings.gschema.xml
%{_datadir}/appdata/org.erikreider.swaysettings.appdata.xml
%{_datadir}/applications/org.erikreider.swaysettings.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.erikreider.swaysettings.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.erikreider.swaysettings-symbolic.svg
# Portal
%{_libexecdir}/xdg-desktop-portal-swaysettings
%{_datadir}/dbus-1/services/org.freedesktop.impl.portal.desktop.swaysettings.service
%{_datadir}/xdg-desktop-portal/portals/swaysettings.portal
%{_userunitdir}/xdg-desktop-portal-swaysettings.service

# Changelog will be empty until you make first annotated Git tag.
%changelog
